SeExpr

Public Member Functions | Public Attributes | List of all members
SeExpr2::ExprEvalResult Struct Reference

Evaluation result. More...

`#include <ExprEnv.h>`

## Public Member Functions
| ExprEvalResult ()
| ExprEvalResult (int n, double *fp)
| ExprEvalResult (const char **c)
| ExprEvalResult (int n, double *fp, const char **c)

## Public Attributes
int | n
double * | fp
const char ** | str

## Detailed Description

Evaluation result.

Definition at line 178 of file ExprEnv.h.

## Constructor & Destructor Documentation

## ◆ ExprEvalResult() [1/4]

SeExpr2::ExprEvalResult::ExprEvalResult | ( |  | ) |
| inline

Definition at line 179 of file ExprEnv.h.

## ◆ ExprEvalResult() [2/4]

SeExpr2::ExprEvalResult::ExprEvalResult | ( | int | n,
|  | double * | fp
| ) |  |
| inline

Definition at line 180 of file ExprEnv.h.

## ◆ ExprEvalResult() [3/4]

SeExpr2::ExprEvalResult::ExprEvalResult | ( | const char ** | c | ) |
| inline

Definition at line 181 of file ExprEnv.h.

## ◆ ExprEvalResult() [4/4]

SeExpr2::ExprEvalResult::ExprEvalResult | ( | int | n,
|  | double * | fp,
|  | const char ** | c
| ) |  |
| inline

Definition at line 182 of file ExprEnv.h.

## Member Data Documentation

## ◆ fp

double* SeExpr2::ExprEvalResult::fp

Definition at line 185 of file ExprEnv.h.

## ◆ n

int SeExpr2::ExprEvalResult::n

Definition at line 184 of file ExprEnv.h.

## ◆ str

const char** SeExpr2::ExprEvalResult::str

Definition at line 186 of file ExprEnv.h.

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/ExprEnv.h